# SetChatPhoto - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.chat.modify / SetChatPhoto

# SetChatPhoto

(common) `data class SetChatPhoto : ChatRequest, MultipartRequest<Boolean>` (source)

### Constructors

(common)

#### <init>

`SetChatPhoto(chatId: ChatIdentifier, photo: MultipartFile = throw IllegalArgumentException("Unfortunately, this type of objects can't be parsed automatically"))`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### mediaMap

`val mediaMap: Map<String, MultipartFile>`

(common)

#### paramsJson

`val paramsJson: JsonObject`

(common)

#### photo

`val photo: MultipartFile`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

### Functions

(common)

#### method

`fun method(): String`